plans:
- adjust:
  - prepare+:
    - directory: tmp/RPMS/noarch
      how: install
      name: tmt
    when: how == full
  - enabled: true
    tag+:
    - additional_coverage
    when: how == full
  cleanup:
    enabled: true
    phases:
    - how: tmt
      name: default-0
      order: 50
  context:
    provision_how:
    - mock
  description: 'Run tests which exercise various features of the mock plugin

    even if not directly related to the provision implementation.

    '
  discover:
    enabled: true
    phases:
    - dist-git-download-only: false
      dist-git-init: false
      dist-git-install-builddeps: false
      dist-git-merge: false
      dist-git-remove-fmf-root: false
      dist-git-source: false
      filter:
      - tag:provision-mock
      fmf-id: false
      how: fmf
      modified-only: false
      name: default-0
      order: 50
      prune: false
      sync-repo: false
      url-content-type: git
    tests:
    - adjust:
      - because: we don't want to run the avc check for local testing as it needs
          root and we're executing tests under a regular user
        check: []
        when: initiator is not defined or initiator != packit
      - because: 'Virtual provision have started to be quite slow, will investigate
          what caused the slowdown with the test /tests/execute/unresponsive

          '
        duration+: '*2'
        when: provision_how == virtual
      check:
      - delay-before-report: 5
        enabled: true
        how: avc
        ignore-pattern:
        - type=USER_AVC.*received policyload notice
        result: respect
        test-method: timestamp
      contact:
      - Petr Šplíchal <psplicha@redhat.com>
      discover-phase: default-0
      duration: 20m
      enabled: true
      environment:
        TMT_FEELING_SAFE: '1'
      framework: beakerlib
      manual: false
      name: /tests/provision/environment
      order: 50
      path: /default-0/tests/tests/provision/environment
      require:
      - tmt
      - tmt+provision-container
      restart-max-count: 1
      restart-with-reboot: false
      result: respect
      serial-number: 1
      summary: Check that per-guest environment is exposed to tests
      tag:
      - provision-only
      - provision-container
      - provision-mock
      test: ./test.sh
      tier: '3'
      tty: false
    - adjust:
      - because: we don't want to run the avc check for local testing as it needs
          root and we're executing tests under a regular user
        check: []
        when: initiator is not defined or initiator != packit
      - because: 'Virtual provision have started to be quite slow, will investigate
          what caused the slowdown with the test /tests/execute/unresponsive

          '
        duration+: '*2'
        when: provision_how == virtual
      check:
      - delay-before-report: 5
        enabled: true
        how: avc
        ignore-pattern:
        - type=USER_AVC.*received policyload notice
        result: respect
        test-method: timestamp
      contact:
      - Petr Šplíchal <psplicha@redhat.com>
      description: A simple test to see if the provision handles multiple tests.
      discover-phase: default-0
      duration: 20m
      enabled: true
      environment:
        TMT_FEELING_SAFE: '1'
      framework: beakerlib
      manual: false
      name: /tests/provision/mock/fedora-rawhide-x86_64/multiple-tests
      order: 50
      path: /default-0/tests/tests/provision/mock/fedora-rawhide-x86_64/multiple-tests
      require:
      - tmt
      - tmt+provision-container
      restart-max-count: 1
      restart-with-reboot: false
      result: respect
      serial-number: 2
      summary: Test Fedora Rawhide mock container
      tag:
      - provision-only
      - provision-mock
      test: ./test.sh
      tier: '3'
      tty: false
    - adjust:
      - because: we don't want to run the avc check for local testing as it needs
          root and we're executing tests under a regular user
        check: []
        when: initiator is not defined or initiator != packit
      - because: 'Virtual provision have started to be quite slow, will investigate
          what caused the slowdown with the test /tests/execute/unresponsive

          '
        duration+: '*2'
        when: provision_how == virtual
      check:
      - delay-before-report: 5
        enabled: true
        how: avc
        ignore-pattern:
        - type=USER_AVC.*received policyload notice
        result: respect
        test-method: timestamp
      contact:
      - Petr Šplíchal <psplicha@redhat.com>
      description: A simple test to see if the provision does at least provide us
        with a working shell.
      discover-phase: default-0
      duration: 20m
      enabled: true
      environment:
        TMT_FEELING_SAFE: '1'
      framework: beakerlib
      manual: false
      name: /tests/provision/mock/fedora-rawhide-x86_64/provision-prepare
      order: 50
      path: /default-0/tests/tests/provision/mock/fedora-rawhide-x86_64/provision-prepare
      require:
      - tmt
      - tmt+provision-container
      restart-max-count: 1
      restart-with-reboot: false
      result: respect
      serial-number: 3
      summary: Test Fedora Rawhide mock container
      tag:
      - provision-only
      - provision-mock
      test: ./test.sh
      tier: '3'
      tty: false
    - adjust:
      - because: we don't want to run the avc check for local testing as it needs
          root and we're executing tests under a regular user
        check: []
        when: initiator is not defined or initiator != packit
      - because: 'Virtual provision have started to be quite slow, will investigate
          what caused the slowdown with the test /tests/execute/unresponsive

          '
        duration+: '*2'
        when: provision_how == virtual
      check:
      - delay-before-report: 5
        enabled: true
        how: avc
        ignore-pattern:
        - type=USER_AVC.*received policyload notice
        result: respect
        test-method: timestamp
      contact:
      - Petr Šplíchal <psplicha@redhat.com>
      description: A simple test to see if the provision does at least provide us
        with a working shell.
      discover-phase: default-0
      duration: 20m
      enabled: true
      environment:
        TMT_FEELING_SAFE: '1'
      framework: beakerlib
      manual: false
      name: /tests/provision/mock/fedora-rawhide-x86_64/simple
      order: 50
      path: /default-0/tests/tests/provision/mock/fedora-rawhide-x86_64/simple
      require:
      - tmt
      - tmt+provision-container
      restart-max-count: 1
      restart-with-reboot: false
      result: respect
      serial-number: 4
      summary: Test Fedora Rawhide mock container
      tag:
      - provision-only
      - provision-mock
      test: ./test.sh
      tier: '3'
      tty: false
  enabled: true
  environment:
    PROVISION_HOW: mock
  execute:
    enabled: true
    phases:
    - duration: 1h
      exit-first: false
      how: tmt
      ignore-duration: false
      interactive: false
      name: default-0
      no-progress-bar: false
      order: 50
      restraint-compatible: false
    results-path: plans/provision/mock/execute/results.yaml
  finish:
    enabled: true
    phases:
    - how: shell
      name: default-0
      order: 50
  name: /plans/provision/mock
  order: 50
  prepare:
    enabled: true
    phases:
    - how: install
      missing: fail
      name: default-0
      order: 50
      package:
      - jq
      - yq
      - make
      - python3-pip
      - python3-pytest
    - how: shell
      name: default-1
      order: 50
      script:
      - "mkdir -p ~/.koji\nif [ -f ~/.koji/config ]; then\n  echo \"~/.koji/config
        was already set:\"\n  cat ~/.koji/config\nelse\n  cat <<EOF > ~/.koji/config\n[koji]\nanon_retry
        = true\nEOF\nfi\n"
      summary: Make sure we run koji commands with automatic retry to avoid 50x errors
  provision:
    enabled: true
    phases:
    - become: false
      guest: 18.217.237.131
      hard-reboot: /opt/artemis-cli/bin/artemis-cli guest reboot 137ae4c9-0dab-4ac6-b78d-756bed53d837
      how: connect
      key:
      - /etc/citool.d/id_rsa_artemis
      name: default-0
      order: 50
      port: 22
      user: root
  report:
    enabled: true
    phases:
    - display-guest: auto
      how: display
      name: default-0
      order: 50
  summary: Verify the mock provision plugin
run:
  context:
    arch:
    - x86_64
    distro:
    - fedora-rawhide
    initiator:
    - packit
    trigger:
    - commit
  environment:
    PACKIT_BUILD_LOG_URL: https://download.copr.fedorainfracloud.org/results/packit/teemtee-tmt-4904/fedora-rawhide-x86_64/10515802-tmt/builder-live.log
    PACKIT_COMMIT_SHA: 5793f160ea6a83eb7aa78b1dd7135b1303c18ef4
    PACKIT_COPR_BUILD_ID: '10515802'
    PACKIT_COPR_PROJECT: packit/teemtee-tmt-4904
    PACKIT_COPR_RPMS: tmt+provision-virtual-1.75.0.dev3+g5793f160e-1.20260527082731650792.pr4904.3.g5793f160.fc45.noarch
      tmt+provision-bootc-1.75.0.dev3+g5793f160e-1.20260527082731650792.pr4904.3.g5793f160.fc45.noarch
      tmt+provision-beaker-1.75.0.dev3+g5793f160e-1.20260527082731650792.pr4904.3.g5793f160.fc45.noarch
      tmt+report-polarion-1.75.0.dev3+g5793f160e-1.20260527082731650792.pr4904.3.g5793f160.fc45.noarch
      tmt+provision-container-1.75.0.dev3+g5793f160e-1.20260527082731650792.pr4904.3.g5793f160.fc45.noarch
      tmt+export-polarion-1.75.0.dev3+g5793f160e-1.20260527082731650792.pr4904.3.g5793f160.fc45.noarch
      tmt+prepare-artifact-1.75.0.dev3+g5793f160e-1.20260527082731650792.pr4904.3.g5793f160.fc45.noarch
      tmt+report-junit-1.75.0.dev3+g5793f160e-1.20260527082731650792.pr4904.3.g5793f160.fc45.noarch
      tmt+all-1.75.0.dev3+g5793f160e-1.20260527082731650792.pr4904.3.g5793f160.fc45.noarch
      tmt+link-jira-1.75.0.dev3+g5793f160e-1.20260527082731650792.pr4904.3.g5793f160.fc45.noarch
      tmt-1.75.0.dev3+g5793f160e-1.20260527082731650792.pr4904.3.g5793f160.fc45.noarch
      tmt+provision-mock-1.75.0.dev3+g5793f160e-1.20260527082731650792.pr4904.3.g5793f160.fc45.noarch
      tmt+test-convert-1.75.0.dev3+g5793f160e-1.20260527082731650792.pr4904.3.g5793f160.fc45.noarch
    PACKIT_DOWNSTREAM_NAME: tmt
    PACKIT_DOWNSTREAM_URL: https://src.fedoraproject.org/rpms/tmt.git
    PACKIT_FULL_REPO_NAME: teemtee/tmt
    PACKIT_PACKAGE_NAME: tmt
    PACKIT_PACKAGE_NVR: tmt+provision-virtual-1.75.0.dev3+g5793f160e-1.20260527082731650792.pr4904.3.g5793f160.fc45
    PACKIT_PR_ID: '4904'
    PACKIT_SOURCE_BRANCH: document-user-key-better
    PACKIT_SOURCE_SHA: 5793f160ea6a83eb7aa78b1dd7135b1303c18ef4
    PACKIT_SOURCE_URL: https://github.com/teemtee/tmt
    PACKIT_SRPM_URL: https://download.copr.fedorainfracloud.org/results/packit/teemtee-tmt-4904/srpm-builds/10515802/tmt-1.75.0.dev3+g5793f160e-1.20260527082731650792.pr4904.3.g5793f160.src.rpm
    PACKIT_TARGET_BRANCH: main
    PACKIT_TARGET_SHA: ba64efc6eb8bc54e1c9b7971fe42c7227cdd8096
    PACKIT_TARGET_URL: https://github.com/teemtee/tmt
    PACKIT_UPSTREAM_NAME: tmt
    PACKIT_UPSTREAM_URL: https://github.com/teemtee/tmt
    TESTING_FARM_GIT_REF: 5793f160ea6a83eb7aa78b1dd7135b1303c18ef4
    TESTING_FARM_GIT_URL: https://github.com/teemtee/tmt
    TESTING_FARM_REQUEST_ID: 7ee920ba-c471-4371-b3ba-ca9f08ece5f9
    TESTING_FARM_TEST_TYPE: fmf
  remove: false
  root: /var/ARTIFACTS/git-ba64efc6eb8bc54e1c9b7971fe42c7227cdd8096jv4l6ug6
